# "Type 1->2 transition" scenario with external field
---
paths:
  model_note: ext_field__type1to2transition

perform_sweep: true
perform_validation: false

worker_kwargs:
  save_streams: false

parameter_space:
  num_steps: 24k
  write_every: 50

  seed: !sweep
    default: 42
    range: [8]
    order: -1000

  SocialSpinModel:
    graph:
      num_vertices: 10000

      model: ErdosRenyi_GNP
      ErdosRenyi_GNP:
        # p: !sweep
        #   name: p_link
        #   order: 1000
        #   default: 0.01
        #   values:
        #     # - 0.0003
        #     - 0.001
        #     # - 0.003
        #     - 0.01
        #     # - 0.03
        #     # - 0.1
        #     # - 0.3
        #     - 1.0

        # For heatmap
        p: !sweep
          name: p_link
          order: 1000  # -> fast iteration
          default: 0.01
          # logspace: [-3.7, -0.7, 31]
          logspace: [-3.9, -0.9, 31]

    init:
      # "Type 1->2 transition" scenario
      frac_up: !sweep-default
        default: 0.0  # m0 = -1  (for the rho0 sweep)
        # default: 0.5  # m0 = 0     (for the omega sweep)
        values: [0.0, 0.5, 1.0]

      frac_unbiased: !sweep
        default: 0.3
        # linspace: [0, 1, 11]
        values:
          # - 0.0
          # - 0.1
          # - 0.2
          - 0.3
          # - 0.4
          # - 0.5
          # - 0.6
          - 0.7
          # - 0.8
          # - 0.9
          - 1.0

      frac_biased_up: 0.6

      omega_up: 2.0
      omega_down: !sweep-default
        default: 0.3
        linspace: [0.1, 1, 10]

    beta: !sweep-default
      name: b
      default: 1.3
      values: [0.5, 1.0, 2.0]

    p_flip_random: !sweep
      default: 0.01
      # linspace: [0, 0.4, 41]
      # linspace: [0, 0.3, 31]
      # linspace: [0, 0.20, 201]
      # linspace: [0, 0.20, 101]
      # linspace: [0, 0.4, 41]
      # linspace: [0, 0.2, 21]
      logspace: [-2, -0.7, 40]  # for heatmap

    external_field:
      mode: constant
      amplitude: !sweep
        default: 0
        # linspace: [0, 0.1, 11]
        values:
          - 0
          # - 0.0001
          # - 0.001
          - 0.01
          # - 0.1

    repetitions:
      enabled: true
      interval: 1000

    # Look at components
    write_connected_components: false

    # Don't need that much output
    write_degree_distribution: false
    write_topology: false
    write_agent_data: false
